Bug 663514 - [abrt] xscreensaver-gl-extras-1:5.12-7.fc14: randomize_sprite: Process /usr/libexec/xscreensaver/glslideshow was killed by signal 6 (SIGABRT)
[abrt] xscreensaver-gl-extras-1:5.12-7.fc14: randomize_sprite: Process /usr/l...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:a1345cc56897e162a21351b4011...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-15 20:18 EST by Rob Wills
Modified: 2012-08-16 16:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:25:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.99 KB, text/plain)
2010-12-15 20:18 EST, Rob Wills
no flags Details

  None (edit)
Description Rob Wills 2010-12-15 20:18:18 EST
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/xscreensaver/glslideshow -root
component: xscreensaver
crash_function: randomize_sprite
executable: /usr/libexec/xscreensaver/glslideshow
kernel: 2.6.35.9-64.fc14.x86_64
package: xscreensaver-gl-extras-1:5.12-7.fc14
rating: 4
reason: Process /usr/libexec/xscreensaver/glslideshow was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1292461667
uid: 500

How to reproduce
-----
1. selected an openGL type screensaver from the gnome screensaver manager
2. X crashed
3. Upon logging back in to my desktop, ABRT picked up this bug
Comment 1 Rob Wills 2010-12-15 20:18:20 EST
Created attachment 469012 [details]
File: backtrace
Comment 2 Mamoru TASAKA 2010-12-16 13:29:41 EST
Well, I once want to ask gnome-screensaver maintainers what
is happening here. 

The problem here is that perhaps gnome-screensaver-preferences
(sometimes?) creates window with xgwa = {..., width = 1, height = 1, ...}
and launches (xscreensaver) hacks in such small window.
Or xscreensaver hacks cannot gain window property with
XGetWindowAttributes()?

By the way this issue does not seem to be reproducible to me (although
I am using rawhide).
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 11:59:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 abrt-bot 2012-03-21 11:46:12 EDT
Backtrace analysis found this bug to be similar to bug #609338 from component xscreensaver. You might want to check that bug for additional information.

This comment is automatically generated.
Comment 5 Fedora End Of Life 2012-08-16 16:25:59 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.